DIRCOLORS(1)

NOMBRE
dircolors - configuración de colores para `ls'

SINOPSIS
dircolors [-b] [--sh] [--bourne-shell] [-c] [--csh] [--c-shell] [-p] [--print-database] [--help] [--version] [FICHERO]

DESCRIPCIÓN
dircolors saca en la salida estándar una secuencia de órdenes del `shell' para definir los colores de salida deseados de ls (y dir, etc.). Modo de empleo normal:
    eval `dircolors [OPCIÓN]... [FICHERO]`

Si se especifica FICHERO, dircolors lo lee para determinar qué colores emplear para qué tipos y extensiones de fichero. Si no, se emplea una base de datos precompilada. Para los detalles sobre el formato de estos ficheros, ejecute `dircolors --print-database'.

La salida es una orden del shell para definir la variable de entorno LS_COLORS. Uno puede especificar la sintaxis del shell a emplear en la línea de órdenes, o bien dejar que dircolors la adivine a partir del valor de la variable de entorno SHELL.

Tras la ejecución de esta orden, `ls --color' (que uno podría establecer como un alias de ls) listará ficheros empleando los colores deseados.

OPCIONES

-b, --sh, --bourne-shell
    Emplea órdenes del shell de Bourne (ash, sh, bash, ksh, pdksh, zsh). Éste es el comportamiento predeterminado si la variable de entorno SHELL está definida y su valor no acaba en csh.

-c, --csh, --c-shell
    Emplea órdenes del shell C (csh, tcsh, también zsh). Éste es el comportamiento predeterminado si la variable de entorno SHELL acaba en csh.

-p, --print-database
    Imprime la base de datos de configuración de colores predeterminada (incorporada en el programa compilado). Esta salida es en sí misma un fichero de configuración válido, y es bastante descriptivo sobre las posibilidades de configuración.

OPCIONES ESTÁNDARES DE GNU

--help
    Muestra un mensaje en la salida estándar sobre el modo de empleo y acaba con código de éxito.

--version
    Muestra en la salida estándar información sobre la versión y luego acaba con código de éxito.

--  Termina la lista de opciones.

ENTORNO
Las variables LANG, LC_ALL, LC_CTYPE y LC_MESSAGES tienen los significados usuales. La variable LS_COLORS se usa para transferir información a ls.

CONFORME A
La salida coloreada para ls(1) es una extensión de GNU. Esta implantación no es totalmente compatible con la aplicación original dircolors/color-ls distribuida con Slackware Linux. Notablemente, el soporte específico para los shells Z y Korn no está presente. Los usuarios de estos intérpretes de órdenes deberían usar el modo ``Bourne shell'' (-b).

VÉASE TAMBIÉN
dir_colors(5), ls(1)

FICHEROS

/etc/dir_colors
    Fichero de configuración global del sistema para dircolors.

~/.dir_colors
    Fichero de configuración por usuario para dircolors.

OBSERVACIONES
Esta página describe dircolors según se encuentra en el paquete fileutils-4.0; otras versiones pueden diferir un poco. Envíe por correo electrónico correcciones y adiciones a la dirección aeb@cwi.nl. Informe de fallos en el programa a fileutils-bugs@gnu.ai.mit.edu.